> For the complete documentation index, see [llms.txt](https://docs.mindee.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mindee.com/v1/integration/librairies.md).

# Overview

Our client libraries are the preferred way of integrating with the Mindee platform.\
They are the fastest and easiest way to call our APIs, and allow our support teams to better help you.

Some useful tools are also provided, for example PDF processing and image manipulation.

You can use them to integrate:

* Off-the-Shelf document endpoints such as Invoice, Financial Document, Passport, etc.
* Custom document endpoints created for you by our teams.
* Your own document endpoints created with docTi.
* Workflows

Depending on the API, you can use combinations of:

* Synchronous calls
* Asynchronous calls with polling
* Asynchronous calls with Webhooks

All our client libraries are open-source (MIT license) and hosted on [GitHub](https://github.com/mindee).

In-depth documentation for each language can be found here:

* [Node.js](/v1/integration/nodejs-sdk.md)
* [Python](/v1/integration/python-sdk.md)
* [Ruby](/v1/integration/ruby-sdk.md)
* [Java](/v1/integration/java-ocr-sdk.md)
* [.NET](/v1/integration/dotnet-ocr-sdk.md)
* [PHP](/v1/integration/php-sdk.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.mindee.com/v1/integration/librairies.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
